For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • GETProject Notifications
      • GETResource Notifications
      • DELDelete Project Notifications
      • DELDelete Entity Notifications
      • DELDelete Resource Notifications
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceNotifications

Project Notifications

GA
GET
/v1/notifications/projects/:id
GET
/v1/notifications/projects/:id
$curl -G https://api.sayari.com/v1/notifications/projects/0dLeO0 \
> -H "Authorization: Bearer <token>" \
> -d limit=20
1{
2 "next": false,
3 "data": [
4 {
5 "resource_id": "olxQPZ",
6 "entity_id": "IoKwj2-82wwzZRlFA1htGQ",
7 "notifications": [
8 {
9 "type": "risk",
10 "field": "exports_ilab_child_labor",
11 "values": [
12 "false"
13 ],
14 "date": "2025-06-04T00:00:00.000Z"
15 },
16 {
17 "type": "risk",
18 "field": "exports_ilab_forced_labor",
19 "values": [
20 "false"
21 ],
22 "date": "2025-06-04T00:00:00.000Z"
23 },
24 {
25 "type": "risk",
26 "field": "forced_labor_xinjiang_origin_subtier",
27 "values": [
28 "3"
29 ],
30 "date": "2025-06-04T00:00:00.000Z"
31 },
32 {
33 "type": "risk",
34 "field": "psa_exports_ilab_child_labor",
35 "values": [
36 "false"
37 ],
38 "date": "2025-06-04T00:00:00.000Z"
39 },
40 {
41 "type": "risk",
42 "field": "psa_exports_ilab_forced_labor",
43 "values": [
44 "false"
45 ],
46 "date": "2025-06-04T00:00:00.000Z"
47 }
48 ],
49 "risk_notifications": {
50 "added": [
51 "exports_ilab_child_labor",
52 "exports_ilab_forced_labor",
53 "psa_exports_ilab_child_labor",
54 "psa_exports_ilab_forced_labor"
55 ],
56 "removed": [
57 "forced_labor_xinjiang_origin_subtier"
58 ],
59 "date": "2025-06-04T00:00:00.000Z"
60 },
61 "custom_fields": {}
62 },
63 {
64 "resource_id": "Kx1w34",
65 "entity_id": "3oKp0fp1UE-W8BG5crAFIw",
66 "notifications": [
67 {
68 "type": "risk",
69 "field": "exports_ilab_child_labor",
70 "values": [
71 "true"
72 ],
73 "date": "2025-06-04T00:00:00.000Z"
74 },
75 {
76 "type": "risk",
77 "field": "exports_ilab_forced_labor",
78 "values": [
79 "true"
80 ],
81 "date": "2025-06-04T00:00:00.000Z"
82 },
83 {
84 "type": "risk",
85 "field": "psa_exports_ilab_child_labor",
86 "values": [
87 "true"
88 ],
89 "date": "2025-06-04T00:00:00.000Z"
90 },
91 {
92 "type": "risk",
93 "field": "psa_exports_ilab_forced_labor",
94 "values": [
95 "true"
96 ],
97 "date": "2025-06-04T00:00:00.000Z"
98 }
99 ],
100 "risk_notifications": {
101 "added": [],
102 "removed": [
103 "exports_ilab_child_labor",
104 "exports_ilab_forced_labor",
105 "psa_exports_ilab_child_labor",
106 "psa_exports_ilab_forced_labor"
107 ],
108 "date": "2025-06-04T00:00:00.000Z"
109 },
110 "custom_fields": {}
111 },
112 {
113 "resource_id": "BOMrB9",
114 "entity_id": "PF0ehzmptuJ2VJr2J5u0nw",
115 "notifications": [
116 {
117 "type": "risk",
118 "field": "export_controls_adjacent",
119 "values": [
120 "true"
121 ],
122 "date": "2025-06-14T00:00:00.000Z"
123 },
124 {
125 "type": "risk",
126 "field": "exports_bis_high_priority_items_critical_components_indirect",
127 "values": [
128 "3"
129 ],
130 "date": "2025-06-14T00:00:00.000Z"
131 }
132 ],
133 "risk_notifications": {
134 "added": [
135 "exports_ilab_child_labor",
136 "exports_ilab_forced_labor",
137 "psa_exports_ilab_child_labor",
138 "psa_exports_ilab_forced_labor"
139 ],
140 "removed": [
141 "export_controls_adjacent",
142 "exports_bis_high_priority_items_critical_components_indirect",
143 "psa_exports_bis_high_priority_items_critical_components_indirect",
144 "psa_forced_labor_uflpa_origin_subtier",
145 "psa_regulatory_action"
146 ],
147 "date": "2025-06-04T00:00:00.000Z"
148 },
149 "custom_fields": {}
150 }
151 ],
152 "size": {
153 "count": 73,
154 "qualifier": "eq"
155 }
156}
<Warning>Legacy endpoint. New integrations should contact Sayari for best practices.</Warning> The Project Notifications endpoint returns a list of notifications on all entities saved to a project.
Was this page helpful?
Previous

Resource Notifications

Next
Built with

Legacy endpoint. New integrations should contact Sayari for best practices.
The Project Notifications endpoint returns a list of notifications on all entities saved to a project.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequired
Unique identifier of the project

Query parameters

limitintegerOptional
Limit total notifications in the response. Defaults to 100.
offsetintegerOptional
Offset which notifications are returned. Defaults to 0.
sortenumOptional

Defines a sort order on a field. The value should begin with a ’-’ to indicate a descending sort, followed by a field name to sort on.

Allowed values:

Response

This endpoint returns an object.
nextboolean
datalist of objects
sizeobject

Errors

400
Bad Request
401
Unauthorized
404
Not Found
405
Method Not Allowed
429
Rate Limit Exceeded
500
Internal Server Error
502
Bad Gateway
520
Connection Error